A new user interface for you! Read more...

File python-vtk.changes of Package python-vtk

-------------------------------------------------------------------
Sun Mar 12 02:00:19 UTC 2017 - stecue@gmail.com

- Update to 7.1.0.
- Drop vtk-gcc6.patch.

-------------------------------------------------------------------
Thu Apr 14 14:51:53 UTC 2016 - stecue@gmail.com

- Add explicit "Conflicts:" to avoid confusing with python3-vtk.

-------------------------------------------------------------------
Fri Apr  8 00:54:03 UTC 2016 - stecue@gmail.com

- Remove mpi4py dependence for suse_version > 1320.

-------------------------------------------------------------------
Wed Mar 30 14:31:03 UTC 2016 - badshah400@gmail.com

- Apply vtk-gcc6.patch also to python-vtk.

-------------------------------------------------------------------
Wed Mar 30 13:08:09 UTC 2016 - stecue@gmail.com

- Fixed RPATH error for Factory by passing the option
  CMAKE_NO_BUILTIN_CHRPATH:BOOL=ON to cmake. 

-------------------------------------------------------------------
Tue Mar 29 20:27:32 UTC 2016 - dmueller@suse.com

- add vtk-gcc6.patch: Fix build with gcc 6
- skip RPATH setting

-------------------------------------------------------------------
Fri Mar 18 21:15:31 UTC 2016 - stecue@gmail.com

- Removed "openmpi-libs" because no such package on openSUSE 13.1. 
  Necessary packages will be installed with openmpi-devel.

-------------------------------------------------------------------
Fri Mar 18 18:14:33 UTC 2016 - stecue@gmail.com

- Revert to built-in freetype for openSUSE 13.1

-------------------------------------------------------------------
Thu Mar 17 18:11:39 UTC 2016 - stecue@gmail.com

- Cleaned the spec file.
- Use as many system packages (mpi4py, freetype, gl2ps, jsonapp,
  libxml2) as possible.

-------------------------------------------------------------------
Thu Mar 17 05:45:52 UTC 2016 - stecue@gmail.com

- Re-introduce and pack the python2 wrapper of VTK 7.0.

-------------------------------------------------------------------
Tue Mar 15 13:33:58 UTC 2016 - dvaleev@suse.com

- Add disk constraints 

-------------------------------------------------------------------
Wed Feb 17 01:13:12 UTC 2016 - badshah400@gmail.com

- Update to version 7.0.0:
  + See https://blog.kitware.com/vtk-7-0-0/ for a detailed
    article describing all the changes in this version.
- Add vtk-Rinterface-uintptr_t.patch to fix building: uintptr_t
  is already defined in the R headers, uintptr_t definition in
  <stdint.h> conflicts with the R definition and causes builds to
  fail. This patch fixes the problem by commenting out the call
  to include stdint.h (it was only being used for this solitary
  symbol).
- Use python 3 for building, rename python- subpackages
  accordingly to python3-.
- Update file lists in accordance with added/dropped binaries
  upstream; affects vtk-examples, vtk-devel.
- Drop conditionals referencing outdated openSUSE version 12.3.
- Update rpmlintrc file to suppress rpmlint warnings for
  "no-manual-page-for-binary": upstream does not supply manuals
  for its binaries and does not plan to.

-------------------------------------------------------------------
Fri Sep 18 09:11:38 UTC 2015 - badshah400@gmail.com

- vtkdata should be a Recommends for vtk-examples, not Requires.

-------------------------------------------------------------------
Mon Aug 31 07:39:10 UTC 2015 - badshah400@gmail.com

- Update to version 6.3.0:
  - See list of changes at
    http://www.vtk.org/Bug/changelog_page.php?version_id=118
    or blog post at
    http://www.kitware.com/blog/home/post/963.

-------------------------------------------------------------------
Sat Aug 15 04:16:39 UTC 2015 - badshah400@gmail.com

- python-vtk also needs openmpi-devel at runtime.

-------------------------------------------------------------------
Fri Aug 14 10:51:11 UTC 2015 - badshah400@gmail.com

- python-vtk should have Requires on openmpi-libs to enable its
  parallelized modules to work.

-------------------------------------------------------------------
Thu Jun 25 08:17:04 UTC 2015 - alinm.elena@gmail.com

- use qt5 for factory 

-------------------------------------------------------------------
Mon Jun 22 18:00:32 UTC 2015 - olaf@aepfle.de

- Add libxml2-devel/netcdf-devel/libnetcdf_c++-devel Requires to vtk-devel

-------------------------------------------------------------------
Wed Apr  8 19:57:31 UTC 2015 - dimstar@opensuse.org

- Add jsoncpp-devel Requires to vtk-devel (for openSUSE > 13.2):
  vtkjsoncpp.cmake has
  set(vtkjsoncpp_LIBRARIES "/usr/lib64/libjsoncpp.so").

-------------------------------------------------------------------
Fri Mar 13 19:50:12 UTC 2015 - badshah400@gmail.com

- Update to version 6.2.0:
  + See http://www.kitware.com/blog/home/post/858 for a list of
    changes.
- Drop patches incorporated upstream:
  + vtk-install-missing-modules.patch
  + vtk-Mesa10.3-build-failures.patch
  + vtk-system.patch.
- Update filelist to incorporate new files installed by upstream.
- Use system hdf5 and netcdf on all openSUSE versions.
- Build on openSUSE > 13.2 with system libraries ON (except
  for libproj4); all required depndencies for this purpose are
  now in Factory.
- Add rpmlintrc file to suppress
  "devel-files-in-non-devel-package" warning; python-vtk needs
  these devel files for its own functioning.

-------------------------------------------------------------------
Thu Feb 26 12:30:11 UTC 2015 - dkxls23@gmail.com

- Add MPI support

-------------------------------------------------------------------
Thu Sep 11 01:52:56 UTC 2014 - badshah400@gmail.com

- Add vtk-Mesa10.3-build-failures.patch to workaround build
  failures when compiling against Mesa >= 10.3; patch taken from
  upstream git and rebased; applied only for openSUSE >= 13.2.

-------------------------------------------------------------------
Fri Jan 24 20:44:24 UTC 2014 - badshah400@gmail.com

- Update to version 6.1.0:
  + See http://www.kitware.com/news/home/browse/502 for a list of
    changes
- Rebase patches:
  + vtk-system.patch
  + vtk-install-missing-modules.patch
- Packaging changes:
  + Re-enable R bindings for 13.1 and above
  + Turn off building test modules for now as it leads to build
    issues (DBUILD_TESTING:BOOL=OFF)
  + Turn off usage of system libraries for now
    (DVTK_USE_SYSTEM_LIBRARIES:BOOL=OFF), as usage of system
    libraries now introduces dependency on json-cpp which is not
    available for openSUSE (yet)
  + Python modules are now installed by vtk's cmake script;
    hence, pass system python dirs to cmake by using cmake
    variable DVTK_INSTALL_PYTHON_MODULE_DIR instead of
    DVTK_PYTHON_SETUP_ARGS used previously
  + vtkpython is now installed by cmake script automatically;
    hence remove the manual copying to /usr/bin used earlier
  + Python libraries are now stripped automatically on install;
    chrpath no longer needed on these
  + Python object files are now installed in
    %python_sitearch
  + Skip examples no longer installed as a result of test modules
    being turned off
  + Install new binaries (mkg3states) and bundled data files
    (/usr/share/vtk-6.1)
  + Cleanup spec file:
    - Remove support for EOL openSUSE versions (12.1 and earlier)
      by dropping appropriate conditionals
    - Fix minor formatting issues.

-------------------------------------------------------------------
Fri Jul 19 02:52:28 UTC 2013 - badshah400@gmail.com

- Disable R bindings for Factory, since it causes weird build
  failures in openSUSE:Factory, (strangely no failures in devel
  project) until the reason behind the failure is found and fixed. 

-------------------------------------------------------------------
Fri Jun 28 13:41:09 UTC 2013 - badshah400@gmail.com

- Update to version 6.0.0:
  + Lengthy list of changes, see 
    http://www.kitware.com/blog/home/post/515 for a summary
- Also build R language bindings, introduces dependency on R-base
- Drop patches for already being incorporated upstream:
  + vtk-pythondestdir.patch
  + vtk-sqldatabaseschema.patch
  + vtk-soversion2.patch
- Rebase patches for updated version:
  + vtk-fix-file-contains-date-time.patch
  + vtk-system.patch
- Add vtk-install-missing-modules.patch to install cmake modules
  missed by the upstream packaging, will be required esp. when
  we will be able to use the system installed vtk to build
  paraview in the future; patch taken from Fedora
- Remove unused cmake variables during configuration
- Install all examples (several more added in current version)
- Install vtk.conf file in /etc/ld.so.conf.d to enable vtk find
  its libraries
- Testing binaries are no longer installed separately.

-------------------------------------------------------------------
Fri Oct 26 14:04:41 UTC 2012 - badshah400@gmail.com

- Update to version 5.10.1:
  + Fix netCDF symbol mangling, which allows applications to use
    an external netCDF library and VTK's internal copy
    simultaneously
  + Fixes for STL and SLC readers that prevent crashes and file
    handle resource exhaustion
  + Fix compilation on FreeBSD operating system
  + A handful of fixes in VTK's Qt interface kit
  + Fixes for interpreted language wrapping including a bug which
    prevented java wrapping of VTK on power PC macs, and
    compatibility with Tcl 8.6
- Add vtk-fix-file-contains-date-time.patch to fix rpmlint
  warning about a packaged file containing DATE and TIME.

-------------------------------------------------------------------
Mon Jun 25 20:46:30 UTC 2012 - scorot@free.fr

- build python-qt and java binding for openSUSE version higher than
  11.2 which fixes build on SLE 11

-------------------------------------------------------------------
Fri May 18 21:20:14 UTC 2012 - badshah400@gmail.com

- Update to version 5.10.0: See
  http://www.kitware.com/news/home/browse/408
  for a detailed list of changes
- Dropped patches:
  + vtk-boost149.patch: implemented upstream
- Patch vtk-sqldatabaseschema.patch now only required for
  openSUSE 11.4
- Minor rebasing of existing patches so they apply cleanly
- No longer use verbose make.

-------------------------------------------------------------------
Thu May 10 11:32:21 UTC 2012 - idonmez@suse.com

- Remove openmotif dependency 

-------------------------------------------------------------------
Sun Apr 22 15:11:53 UTC 2012 - asterios.dramis@gmail.com

- Use the gl2ps and hdf5 system libraries for building in openSUSE > 12.1.
- Updated Mesa and XOrg dependencies for openSUSE > 12.1.
- Removed the following dependencies which are not needed:
  MesaGLw-devel, freeglut-devel, gcc-java, libgcj-devel and sqlite3-devel.
- Removed postgresql-devel dependency (wasn't enabled and fails to compile
  anyway - added a note about it).
- Removed build time references so build-compare can do its work.
- Compile the package out-of-source.
- Use the generic "VTK_USE_SYSTEM_LIBRARIES" cmake variable for enabling the
  use of system libraries instead of doing it with a per package variable.

-------------------------------------------------------------------
Sun Apr  8 11:22:34 UTC 2012 - idonmez@suse.com

- Fix compilation with boost 1.49 and enable boost again 

-------------------------------------------------------------------
Tue Mar 27 14:15:13 UTC 2012 - toddrme2178@gmail.com

- Cleaned up spec file formatting
- Build and package python-qt (python-sip) bindings
- Link libraries to library directory instead of moving them to
  avoid breaking the find vtk cmake macro
- Force enable of various additional optional components
- Removed redundant packages (readme and logo) from backends
- Make the devel package depend on the backends, since it does not
  work properly without them
- Disable boost building on factory due to an icompatibility with
  boosswt 1.4.9+.  See http://vtk.org/Bug/view.php?id=12988

-------------------------------------------------------------------
Thu Feb  2 12:39:13 UTC 2012 - toddrme2178@gmail.com

- Reverted the source file change since it didn't work
- Changed the license text a little

-------------------------------------------------------------------
Wed Feb  1 12:05:32 UTC 2012 - toddrme2178@gmail.com

- Switched to approved license text (fix for RPMLINT warning)
- Escaped some macros in comments (fix for RPMLINT warnings)
- Made the source file a tiny bit easier to use

-------------------------------------------------------------------
Wed Oct 12 22:12:40 UTC 2011 - prusnak@opensuse.org

- updated to 5.8.0
- removed patches:
* vtk-Balloon-Representation.patch (applied in upstream)
* vtk-gcc43.patch (applied in upstream)
* vtk-gcc46.patch (applied in upstream)
* vtk-libpng14.patch (applied in upstream)
* vtk-python27-compat.patch (applied in upstream)
* vtk-soversion.patch (applied in upstream)
* vtk-string-length.patch (not needed anymore)
* vtk-testcxxjavaremove.patch (applied in upstream)

-------------------------------------------------------------------
Sat May 28 17:35:51 UTC 2011 - badshah400@gmail.com

- Add explicit libQtWebKit-devel BuildRequires to fix build
failures on openSUSE 11.3
- Make description of sub-package vtk-qt more detailed
- Spec file clean up

-------------------------------------------------------------------
Sat May 28 07:49:50 UTC 2011 - alinm.elena@gmail.com

- fix the missing soname for libVTKnetcdf_cxx

-------------------------------------------------------------------
Sun May 22 17:02:27 UTC 2011 - stecue@gmail.com

- Fix the broken vtk-qt package

-------------------------------------------------------------------
Thu Apr 14 19:59:13 UTC 2011 - badshah400@gmail.com

- Fix dependencies for openSUSE 11.2 and SLE 11
- Fix build problems with openSUSE 11.4

-------------------------------------------------------------------
Thu Apr 14 16:54:15 UTC 2011 - badshah400@gmail.com

- Restored vtk-string-length.patch to solve buffer overflow errors
during string copy operations

-------------------------------------------------------------------
Wed Mar 30 03:42:15 UTC 2011 - badshah400@gmail.com

- Added vtk-sqldatabaseschema.patch (from upstream) to fix
compilation errors with python enabled

-------------------------------------------------------------------
Wed Mar 23 18:21:30 UTC 2011 - badshah400@gmail.com

- Update to version 5.6.1, rebase existing patches and remove
unnecessary ones

-------------------------------------------------------------------
Wed Mar 23 11:01:06 UTC 2011 - badshah400@gmail.com

- Add vtk-python2.7-compat.patch to fix build problems with
python 2.7
- Add vtk-gcc4.3.patch to fix building issues with gcc 4.3

------------------------------------------------------------------
Thu Mar 25 11:50:35 CET 2010 - boris@steki.net

- Extended buffer size in VTK/Utilities/kwsys/SystemInformation.cxx
to fix buffer overflow report from rpmlint